Bug 1302181 - [GSS](6.4.z) Too many invocations to a remote EJB from multiple threads cause infinite wait with EJBCLIENT000011 message.
[GSS](6.4.z) Too many invocations to a remote EJB from multiple threads cause...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB, Remoting (Show other bugs)
6.3.3
All All
unspecified Severity high
: CR1
: EAP 6.4.8
Assigned To: Tomas Hofman
Peter Mackay
:
: 1302180 (view as bug list)
Depends On:
Blocks: 1316385 1329530 eap648-payload 1299983 1316380
  Show dependency treegraph
 
Reported: 2016-01-26 23:34 EST by Masato Yoshida
Modified: 2017-01-17 07:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1316380 (view as bug list)
Environment:
Last Closed: 2017-01-17 07:37:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker EJBCLIENT-153 Major Resolved Too many invocations to a remote EJB from multiple threads cause infinite wait 2017-04-24 08:11 EDT
JBoss Issue Tracker JBEAP-3097 Major Closed Too many invocations to a remote EJB from multiple threads cause infinite wait 2017-04-24 08:11 EDT
JBoss Issue Tracker WFLY-6104 Major Resolved Too many invocations to a remote EJB from multiple threads cause infinite wait 2017-04-24 08:11 EDT

  None (edit)
Description Masato Yoshida 2016-01-26 23:34:16 EST
Description of problem:

  While a thread (1) of EJB client invokes a remote EJB which needs long
  processing time and wait for the response, if the other threads complete
  more than 65536 invocations to the remote EJB, EJBCLIENT000011 message like
  below occurs in EJB client side and the waiting thread (1) falls into
  infinite wait for the response.

    INFO: EJBCLIENT000011: Discarding result for invocation id 0 since no
    waiting context found

  All invocations should successfully complete regardless of the number of
  invocations.


Version-Release number of selected component (if applicable):

  EAP 6.3.3, 6.4.5.
  I tested on RHEL 6.7, but this issue does not depend on OS/Hardware.


How reproducible:

  always


Steps to Reproduce:

  Use the reproducer remote-ejb-EJBCLIENT000011.zip attached.

  The overview of this reproducer:

    - The first thread starts and invokes the remote EJB which needs long
      processing time.  ..... (1)
    - After that, the second thread starts and repeats invocation to the remote
      EJB more than 65536 times before (1) finishes.  ..... (2)
      Each invocation to the remote EJB in (2) completes in a short period
      of time.
    - Once the remote EJB in (1) finishes its work, EJBCLIENT000011 message
      occurs from the EJB client.

  Steps to reproduce is as follows:

    1. Start a standalone EAP server.
    2. Extract remote-ejb-EJBCLIENT000011.zip.
    3. Build the reproducer.  ..... (*1)

        $ cd remote-ejb-EJBCLIENT000011
        $ mvn package

    4. Deploy remote-ejb-EJBCLIENT000011-1.0.0.jar.
    5. Run TestMain.  ..... (*3)
       2 or 3 minites later after starting TestMain, EJBCLIENT000011 message
       will occur and TestMain will not end because of the first thread's
       infinite wait for response.

    (*1) Before execute mvn, modify providerIpPort at FIXME in
         src/test/java/TestMain.java appropriately.
    (*2) Run add-user.sh to add an application user.
         (Username "jboss" and password "jbossjboss#2")
    (*3) For reference, see run_test.sh in remote-ejb-EJBCLIENT000011 I used
         for running TestMain. You can use it by making modification
         appropriately.


Actual results:

    The first thread of TestMain waits for the response of the invocation
    indefinitely and TestMain never ends.


Expected results:

    The first thread of TestMain receives the response of the invocation and
    TestMain successfully ends.


Additional info:
Comment 11 Tomas Hofman 2016-02-26 03:26:04 EST
PRs merged.
Comment 13 JBoss JIRA Server 2016-03-30 05:29:38 EDT
Ladislav Thon <lthon@redhat.com> updated the status of jira JBEAP-3097 to Reopened
Comment 14 JBoss JIRA Server 2016-03-30 05:35:04 EDT
Tomas Hofman <thofman@redhat.com> updated the status of jira JBEAP-3097 to Resolved
Comment 15 JBoss JIRA Server 2016-04-12 04:57:38 EDT
Ladislav Thon <lthon@redhat.com> updated the status of jira JBEAP-3097 to Reopened
Comment 16 JBoss JIRA Server 2016-05-03 06:32:56 EDT
Tomas Hofman <thofman@redhat.com> updated the status of jira JBEAP-3097 to Coding In Progress
Comment 17 Peter Mackay 2016-05-05 08:02:17 EDT
Verified with EAP 6.4.8.CP.CR2
Comment 18 Tomas Hofman 2016-05-10 05:03:57 EDT
*** Bug 1302180 has been marked as a duplicate of this bug. ***
Comment 19 JBoss JIRA Server 2016-08-23 07:38:46 EDT
Jiri Pallich <jpallich@redhat.com> updated the status of jira JBEAP-3097 to Closed
Comment 20 Petr Penicka 2017-01-17 07:37:15 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.